'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

exports.switchClassNames = switchClassNames;
exports.suitClass = suitClass;

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _config = require('../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CLASS_ACTIVE = _config.BASE_CLASS + '--active';
var CLASS_FOCUS = _config.BASE_CLASS + '--focus';
var CLASS_CLICK = _config.BASE_CLASS + '--click';
var CLASS_DISABLED = _config.BASE_CLASS + '--disabled';

function switchClassNames(size, type, classType, isToggle, isFocus, isClick, isDisabled) {
  var _cx;

  var CLASS_TYPE = _config.BASE_CLASS + '-' + classType;
  var CLASS_SIZE = _config.BASE_CLASS + '--' + size;

  var className = (0, _classnames2.default)(_config.BASE_CLASS, CLASS_TYPE, CLASS_SIZE, (_cx = {}, (0, _defineProperty3.default)(_cx, CLASS_ACTIVE, isToggle || type === _config.TYPES.SELECT), (0, _defineProperty3.default)(_cx, CLASS_CLICK, isClick), (0, _defineProperty3.default)(_cx, CLASS_FOCUS, isFocus && !isClick), (0, _defineProperty3.default)(_cx, CLASS_DISABLED, isDisabled), _cx));
  return className;
}

function suitClass(_ref) {
  var element = _ref.element,
      modifier = _ref.modifier,
      _ref$component = _ref.component,
      component = _ref$component === undefined ? _config.BASE_CLASS : _ref$component;

  var className = component;
  if (element) className += '-' + element;
  if (modifier) className += '--' + modifier;
  return className;
}